/*
 * Created on 16.09.2004
 *
 * (C) Peter Weigerber <peter.weissgerber@ku-eichstaett.de>
 * 
 * For license information see the LICENSE file that is shipped
 * with the source code.
 *
 *
 */
package org.eposoft.epos.eposee.pixmap.data;

/** This class represents one coordinate in a pixelmap.
 * 
 * @author Peter Weigerber <peter.weissgerber@ku-eichstaett.de>
 *
 */
public class PixMapCoordinate {
	
	public int x;

	public int y;

	/** Create new coordinate in a pixelmap.
	 * 
	 * @param _x x position
	 * @param _y y position
	 */
	public PixMapCoordinate(int _x, int _y) {
		x = _x;
		y = _y;
	}
	
	/*
	 *  (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode() {
		// TODO use a better hash function
		return 2119*x+y;
	}

	/*
	 *  (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object o) {
			int ox = ((PixMapCoordinate) o).x;
			int oy = ((PixMapCoordinate) o).y;
			return ((ox == x) && (oy == y));
	}
}