/*
 * $Id: TransactionItem.java,v 1.2 2004/12/28 21:47:25 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.ccvs.model;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.sql.Timestamp;

import org.eclipse.core.runtime.Status;
import org.softevo.rose.ccvs.CCVSPlugin;

/**
 * @author Thomas Zimmermann, zimmerth@cs.uni-sb.de
 */
public class TransactionItem {

    private String author;
    private String message;
    private Timestamp beginTime = null;
    private Timestamp endTime = null;    
    boolean noise = false;
    
    public TransactionItem(String author, String message) {
        this.author = author;
        this.message = message;
    }
    
    
 
    public String getAuthor() {
        return author;
    }
    public Timestamp getBeginTime() {
        return beginTime;
    }
    public Timestamp getEndTime() {
        return endTime;
    }
    public String getMessage() {
        return message;
    }
    public String getMessageMD5() {
        try {
	        MessageDigest md5 = MessageDigest.getInstance("MD5");
	        md5.update(message.getBytes());
	        return RevisionItem.byte2hex(md5.digest());
	    } catch (NoSuchAlgorithmException e) {
	        CCVSPlugin.logException(e, Status.WARNING);
	    }
	    return null;
    }
    public String getNoise() {
        return noise ? "Y" : "N";
    }
    public boolean isNoise() {
        return noise;
    }
    public void setBeginTime(Timestamp beginTime) {
        this.beginTime = beginTime;
    }
    public void setEndTime(Timestamp endTime) {
        this.endTime = endTime;
    }
    public void setNoise(boolean noise) {
        this.noise = noise;
    }
}
