/*
 * $Id: ConnectionsElement.java,v 1.5.2.1 2005/04/09 12:43:48 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.db.preferences;

import java.util.Iterator;
import java.util.Vector;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.model.IWorkbenchAdapter;
import org.softevo.rose.db.DBConnectionProperties;
import org.softevo.rose.db.DbPlugin;
import org.softevo.rose.db.InternalDBConnectionProperties;

/** An element that serves as root in a tree view
 *  and presents all connections currently available
 *  in the plugin. <BR>
 */
public class ConnectionsElement implements IWorkbenchAdapter, IAdaptable {

    private IProject project;

    /**
     * @param project
     */
    public ConnectionsElement(IProject project) {
        this.project = project;
    }
    

/* Returns the model elements for all connections
   * configured. <BR>
   */
  public Object[] getChildren(Object o) {
    Vector properties;
    ConnectionElement[] result;
    DBConnectionProperties dbProperties;
    
    properties = DbPlugin.getDefault().getDatabaseConnectionProperties();
    if (project == null) { // do not consider Internal Connection Properties
        result = new ConnectionElement[properties.size() - 1];
    } else {
        result = new ConnectionElement[properties.size()];        
    }
    int counter = 0;
    for (Iterator iter = properties.iterator(); iter.hasNext();) {
        dbProperties = (DBConnectionProperties) iter.next();
        if ((project != null) || !(dbProperties instanceof InternalDBConnectionProperties)) {
            result[counter] = new ConnectionElement(dbProperties, project);
            counter++;
        }
    }
    return result;
  }

  /* No image is used. <BR>
   */
  public ImageDescriptor getImageDescriptor(Object object) {
    return null;
  }

  /* No label is used. <BR>
   */
  public String getLabel(Object o) {
    return null;
  }

  /* This element has no parent. <BR>
   */
  public Object getParent(Object o) {
    // TODO Auto-generated method stub
    return null;
  }

  /* Returns this class itself. <BR>
   */
  public Object getAdapter(Class adapter) {
	if (adapter == IWorkbenchAdapter.class) {
	  return this;
	}
    return null;
  }

}
